=== cpp/dolfinx/graph/CMakeLists.txt ===
set(HEADERS_graph
  ${CMAKE_CURRENT_SOURCE_DIR}/AdjacencyList.h
  ${CMAKE_CURRENT_SOURCE_DIR}/BoostGraphColoring.h
  ${CMAKE_CURRENT_SOURCE_DIR}/BoostGraphOrdering.h
  ${CMAKE_CURRENT_SOURCE_DIR}/dolfin_graph.h
  ${CMAKE_CURRENT_SOURCE_DIR}/KaHIP.h
  ${CMAKE_CURRENT_SOURCE_DIR}/ParMETIS.h
  ${CMAKE_CURRENT_SOURCE_DIR}/Partitioning.h
  ${CMAKE_CURRENT_SOURCE_DIR}/SCOTCH.h
  PARENT_SCOPE)

target_sources(dolfinx PRIVATE
  ${CMAKE_CURRENT_SOURCE_DIR}/BoostGraphOrdering.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/KaHIP.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/ParMETIS.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Partitioning.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/SCOTCH.cpp
)
