=== debian/changelog ===
dolfinx (2019.2.0~git20200723.696fbc0-4) unstable; urgency=medium

  * swap libdolfinx-dev Depends/Recommends relationships with
    libdolfinx-{real,complex}-dev. Make libdolfinx-dev primary
    (i.e. default to real numbers)

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Aug 2020 09:50:30 +0800

dolfinx (2019.2.0~git20200723.696fbc0-3) unstable; urgency=medium

  * tighten versioned dependency on ffcx, ufl to >= 2019.2.0~git20200610
  * handle mathjax replacements in docs independently of mathjax version
  * python3-dolfinx-{real,complex} Recommends: python3-dolfinx

 -- Drew Parsons <dparsons@debian.org>  Sat, 22 Aug 2020 19:08:35 +0800

dolfinx (2019.2.0~git20200723.696fbc0-2) unstable; urgency=medium

  * python3-dolfinx-{real,complex} Depends: python3-scipy
  * skip demo_gmsh tests (pygmsh is not yet available)

 -- Drew Parsons <dparsons@debian.org>  Wed, 05 Aug 2020 20:16:44 +0800

dolfinx (2019.2.0~git20200723.696fbc0-1) unstable; urgency=medium

  * New upstream snapshot.
  * libdolfinx-dev Recommends: libdolfinx-real-dev | libdolfinx-complex-dev
    to break circular dependency. Closes: #963870.
  * don't run build tests if "nocheck" is set. Closes: #965946.
  * debian/copyright: remove repeated entry for FindEigen3.cmake

 -- Drew Parsons <dparsons@debian.org>  Sun, 02 Aug 2020 23:53:37 +0800

dolfinx (2019.2.0~git20200420.6043d6d-6) unstable; urgency=medium

  * replace arch references in DOLFINXTargets.cmake with
    CMAKE_LIBRARY_ARCHITECTURE. Closes: #961569.
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Wed, 03 Jun 2020 15:58:49 +0800

dolfinx (2019.2.0~git20200420.6043d6d-5) unstable; urgency=medium

  * provide C++ and Python docs (html) in dolfinx-doc
  * debian/rules: include /usr/share/dpkg/architecture.mk

 -- Drew Parsons <dparsons@debian.org>  Wed, 29 Apr 2020 16:04:36 +0800

dolfinx (2019.2.0~git20200420.6043d6d-4) unstable; urgency=medium

  * replace debian patch revert_numba_core_cffi_b5164fe.patch with
    enable-importing-cffi_support-from-new-or-old-numba.patch to
    support both new and old versions of numba
  * mark libdolfinx-dev as Architecture: all, Multi-Arch: Foreign
    - use multiarch variable CMAKE_LIBRARY_ARCHITECTURE in
    /usr/share/dolfinx/cmake/DOLFINXTargets-relwithdebinfo.cmake
    - python3-dolfinx-{real,complex} Depends: libdolfinx-dev
      (= ${source:Version}) not  (= ${binary:Version}),

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 Apr 2020 19:12:26 +0800

dolfinx (2019.2.0~git20200420.6043d6d-3) unstable; urgency=medium

  * debian/tests: allow-stderr for python tests
  * update Multi-Arch settings in packages.

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 Apr 2020 11:59:37 +0800

dolfinx (2019.2.0~git20200420.6043d6d-2) unstable; urgency=medium

  * Build-Depends: python3-numba (debian/tests also)

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Apr 2020 11:14:37 +0800

dolfinx (2019.2.0~git20200420.6043d6d-1) unstable; urgency=medium

  * New upstream snapshot.
  * add debian patches
    - revert_numba_core_cffi_b5164fe.patch reverts upstream
      commit b5164fe (which requires numba 0.49)
    - test_expression_evaluation_nocomplex.patch marks
      unit test fem/test_expression_evaluation.py as expected to fail
      in complex build
    - stokes-taylor-hood-NAN.patch ignores NAN and inf in u_2 and u_3
      norms in stokes-taylor-hood demo

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Apr 2020 01:48:53 +0800

dolfinx (2019.2.0~git20200401.ed4a69e-1) experimental; urgency=medium

  * New upstream snapshot.
    - this is the francesco/issue897 branch, addressing handling of
      generated source code for demos (Issues #888, #893).
    - applies debian patches:
        FindSLEPc_MPI.patch,
        test_mpirun_params.patch
  * drop debian patch python_test_assembler_PETSC_DIR.patch:
    PETSC_DIR must be set at build time as an environment variable
    (see upstream Issue #819)
  * build time tests are now run after installation
  * dolfinx-doc now provides both real and complex demos
  * Build-Depends: libpetsc-complex-dev, libslepc-complex-dev,
    python3-petsc4py-complex, python3-slepc4py-complex

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Apr 2020 01:19:41 +0800

dolfinx (2019.2.0~git20200128.797071f-4) experimental; urgency=medium

  * provide real and complex number builds in packages
    python3-dolfinx-real and python3-dolfinx-complex (and
    libdolfinx-real2019.2 and libdolfinx-complex2019.2)
    Dev links (.so) provided in libdolfinx-real-dev and
    libdolfinx-complex-dev
  * source is copied to build-real and build-complex to avoid
    mix-up in generated build-time source files
  * debian patch lib_rename.patch adds build-type extension to library
    name (_real or _complex).
  * The python modules are installed under their respective
    PETSC_DIRs. By default the version built against the preferred
    version of PETSc in /usr/lib/petsc is selected, but the
    alternative version can be selected by setting the environment
    variable PETSC_DIR.

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Mar 2020 15:57:16 +0800

dolfinx (2019.2.0~git20200128.797071f-3) experimental; urgency=medium

  * add Build-Depends: python3-ufl, python3-mpi4py, python3-petsc4py

 -- Drew Parsons <dparsons@debian.org>  Mon, 03 Feb 2020 23:41:41 +0800

dolfinx (2019.2.0~git20200128.797071f-2) experimental; urgency=medium

  * Depends: python3-cffi instead of python3-dijitso.
  * debian patch test_mpirun_params.patch reinstates support for
    MPIEXEC_PARAMS applied to mpi tests (cf. dolfin PR#519).

 -- Drew Parsons <dparsons@debian.org>  Mon, 03 Feb 2020 22:47:04 +0800

dolfinx (2019.2.0~git20200128.797071f-1) experimental; urgency=medium

  * New upstream snapshot of next-generation DOLFIN-X.
  * no longer provides dolfin[x]-bin (sundry scripts not installed)
  * add debian patches
    - FindSLEPc_MPI.patch links SLEPc tests to mpi in FindSLEPc.cmake
      (cf. upstream PR#315.)

