=== debian/tests/control ===
Tests: test-dolfinx-cpp,
 test-dolfinx-cpp-complex,
Depends: @, @builddeps@,

Tests: test-dolfinx-python,
 test-dolfinx-python-complex
Depends: @, @builddeps@,
	  python3-pytest,
	  python3-decorator,
	  python3-matplotlib,
	  python3-numba,
	  python3-scipy
Restrictions: allow-stderr
